Bug 489496 - taskjuggler-2.4.1-4.fc10 update includes broken Obsoletes
taskjuggler-2.4.1-4.fc10 update includes broken Obsoletes
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: taskjuggler (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-10 09:54 EDT by Rex Dieter
Modified: 2009-03-16 15:49 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.4.1-5.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-16 15:49:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2009-03-10 09:54:56 EDT
taskjuggler-libs contains:
Obsoletes: %{name} < %{version}-%{release}

which is almost never a good idea.  In fact, breaks updates.

taskjuggler will get "updated" to taskjuggler-libs

My suggestion would be to make the Obsoletes versioned to when the split occurred, 
Obsoletes: taskjuggler < 2.4.0-7
and add to -libs
Requires: %{name} = %{version]-%{release}
Comment 1 Rex Dieter 2009-03-10 10:02:44 EDT
With he added "Requires" in place, wouldn't be a bad idea to omit the Obsoletes altogether either.
Comment 2 Ondrej Vasik 2009-03-10 10:31:57 EDT
Thanks for report, good point, will do...
Comment 3 Fedora Update System 2009-03-11 14:03:55 EDT
taskjuggler-2.4.1-5.fc10, kdepim3-3.5.10-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update taskjuggler kdepim3'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2544
Comment 4 Fedora Update System 2009-03-16 15:49:37 EDT
taskjuggler-2.4.1-5.fc10, kdepim3-3.5.10-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.